<?php
	session_start();
	ini_set('display_errors','On');
//	print_r($_SESSION);
if($_GET['opt']=='grabar'){
	include_once($_SERVER['DOCUMENT_ROOT'].'/shine/model/clsPedido.php');
	$objPedido = new clsPedido();
	$cod_cia = $_SESSION['num_identificacion'];
	$obs_pedido = $_POST['txtObservacion'];
	$val_total = $_POST['txtTotal'];
	//print_r($_POST);exit;
	$exito = $objPedido->MET_grabarCabecera($cod_cia, $obs_pedido, $val_total) ;
//print_r($exito);exit;
	$contadorFilas = $_POST['txtNumItems'];
//echo $contadorFilas;exit;
//echo $exito;exit;
	if($exito>0){
		$idx=1;
		while ($idx <= $contadorFilas ) {
			//MET_grabarDetalle($cod_pedido, $cod_item, $num_cantidad, $val_precio)
			try {
				$cod_item = $_POST['txt_idArticulo'.$idx];
				$cnt_producto = $_POST['txt_idCantidad'.$idx];
				$val_precio = $_POST['txt_idPrecio'.$idx];
			} catch (Exception $exc) {
//print_r($exc);exit;
				$cod_item = 0;
				continue;
			}
			if($cod_item!=''){
				$respuesta = $objPedido->MET_grabarDetalle($exito, $cod_item, $cnt_producto, $val_precio);
				unset($objFa);
			}
			$idx=$idx+1;
			continue;
		}
		$respuesta = $objPedido->MET_actualizarCabecera($exito,$cod_cia);
	}
	if($exito){
		$_SESSION['msj_sistema'] = 'Se registro correctamente el pedido';  
		$html = file_get_contents("http://".$_SERVER['HTTP_HOST']."/shine/form/rptPedido.php?id=".$exito);
		echo "http://".$_SERVER['HTTP_HOST']."/shine/form/rptPedido.php?id=".$exito;
		/*inicio mail*/
//		print_r($html);exit;
		require_once($_SERVER['DOCUMENT_ROOT'].'/shine/script/mail/class.phpmailer.php');

			$mail             = new PHPMailer();
			$mail->IsSMTP();                           // telling the class to use SMTP
			$mail->SMTPAuth   = true;                  // enable SMTP authentication
			$mail->Host       = "smtpout.secureserver.net"; // set the SMTP server
			$mail->Port       = 25;                    // set the SMTP port
			//$mail->SMTPSecure = "ssl";
			$mail->SMTPDebug  = true;
//print_r([$_GET]);exit;

			$mail->Username   = "mail0"."@gloriasaltos.com"; // SMTP account username
			$mail->Password   = "mail2k152k16";        // SMTP account password
			
			$body             = 'Estimado cliente: <b>'.$cliente.'</b> <br><br>Le informamos que se encuentra generada y autorizada por el SRI la '.$tipo_txt.' No. '.$id_form.'<br><br>
			Le recordamos que tambi&eacute;n puede encontrarla en <a href="http://efactura.gloriasaltos.com/">efactura.gloriasaltos.com</a><br><br>Saludos Cordiales,<br><br>
			Gloria Saltos<br>Belleza - Spa - Peluquer&iacute;a';
	
			$body             = eregi_replace("[\]",'',$body);
			$mail->AddReplyTo("ventas@brillashineshoes.com");
			$mail->SetFrom('ventas@brillashineshoes.com');
		//	$address = "noreply@asa.com";
		/*direcciones*/
			/*$array = explode("|", $dir_mail);
			foreach($array as $correo)
			{
				$mail->AddAddress($correo);
			}*/
			$mail->AddAddress("ventas@brillashineshoes.com");
		/*direcciones*/
			$mail->AddBCC('ventas@brillashineshoes.com');
			$mail->Subject    = "Gloria Saltos - Nuevo Documento generado ".$id_form;
			$mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; // optional, comment out and test
			$mail->MsgHTML($html.$body);
			//$mail->AddAttachment("images/phpmailer_mini.gif"); // attachment
			if(!$mail->Send()) {
			  echo "Mailer Error: " . $mail->ErrorInfo." DOC: ".$id_form;exit;
			  echo "" . $mail->ErrorInfo;
			  $pos = strrpos($mail->ErrorInfo, 'Relay quota');
//echo $pos;exit;
				if($pos>0){
					exit;
				}

//exit;
			} else {
			  echo "Message sent! DOC: ".$id_form;exit;
				
			}
		/*fin mail*/
	}else{
		$_SESSION['msj_sistema'] = 'Existieron errores al crear el pedido';
	}
			
	header('Location: http://'.$_SERVER['HTTP_HOST'].'/shine/index.php?opt=pedidos&id='.$exito);
		exit;
}else{
	header('Location: http://'.$_SERVER['HTTP_HOST'].'/shine/index.php?opt=pedidos');
		exit;
}	
	
?>